# Visualization
TKV3d
Graphic3d

# Graphic3d_HSequenceOfGroup Class Reference

`#include <Graphic3d_HSequenceOfGroup.hxx>`

## Public Member Functions

| Graphic3d_HSequenceOfGroup ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Graphic3d_Group)&anItem)
Standard_EXPORT void | Append (const Handle(Graphic3d_HSequenceOfGroup)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Graphic3d_Group)&anItem)
Standard_EXPORT void | Prepend (const Handle(Graphic3d_HSequenceOfGroup)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Graphic3d_Group)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Graphic3d_HSequenceOfGroup)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Graphic3d_Group)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Graphic3d_HSequenceOfGroup)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Graphic3d_HSequenceOfGroup | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Graphic3d_Group)&anItem)
Standard_EXPORT const Handle_Graphic3d_Group & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Graphic3d_Group & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Graphic3d_SequenceOfGroup & | Sequence () const
Graphic3d_SequenceOfGroup & | ChangeSequence ()
Standard_EXPORT Handle_Graphic3d_HSequenceOfGroup | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Graphic3d_SequenceOfGroup | mySequence

## Constructor & Destructor Documentation

Graphic3d_HSequenceOfGroup::Graphic3d_HSequenceOfGroup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Append | ( | const Handle(Graphic3d_HSequenceOfGroup)& | aSequence | ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Append | ( | const Handle(Graphic3d_Group)& | anItem | ) |

Graphic3d_SequenceOfGroup& Graphic3d_HSequenceOfGroup::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Graphic3d_Group& Graphic3d_HSequenceOfGroup::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Clear | ( |  | ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Graphic3d_HSequenceOfGroup::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Graphic3d_HSequenceOfGroup::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_HSequenceOfGroup)& | aSequence
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_Group)& | anItem
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_HSequenceOfGroup)& | aSequence
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_Group)& | anItem
| ) |

Standard_Boolean Graphic3d_HSequenceOfGroup::IsEmpty | ( |  | ) | const

Standard_Integer Graphic3d_HSequenceOfGroup::Length | ( |  | ) | const

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Prepend | ( | const Handle(Graphic3d_HSequenceOfGroup)& | aSequence | ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Prepend | ( | const Handle(Graphic3d_Group)& | anItem | ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Graphic3d_HSequenceOfGroup::Reverse | ( |  | ) |

const Graphic3d_SequenceOfGroup& Graphic3d_HSequenceOfGroup::Sequence | ( |  | ) | const

Standard_EXPORT void Graphic3d_HSequenceOfGroup::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic3d_Group)& | anItem
| ) |

Standard_EXPORT Handle_Graphic3d_HSequenceOfGroup Graphic3d_HSequenceOfGroup::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_HSequenceOfGroup Graphic3d_HSequenceOfGroup::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Graphic3d_Group& Graphic3d_HSequenceOfGroup::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Graphic3d_SequenceOfGroup Graphic3d_HSequenceOfGroup::mySequence `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_HSequenceOfGroup.hxx